/*
	CSS Stylesheet for:  Photo Gallery
  File Name:           photoGalleryStyles.css
  Author:              Devadigm
  Date Created:        07-14-2015
  Last Updated:        08-05-2015
*/

/* PHOTO GALLERY IMAGES */
.flex-container > div {
  display: inline;
}

.gallery {
  clear: both;
  margin-left: auto;
  margin-right: auto;
  padding-top: 15px;
  width: 100%;
}

.content .gallery .flex-container .flex-item img {
  border: 10px solid #ffffff;
  height: auto;
  margin: 10px;
  padding: 0;
  max-width: 225px;
  width: 100%;
}

.itemDescription {
  color: rgb(49, 77, 141);
  font-family: 'Coustard', serif;
  font-size: 1em;
  margin: 0;
}

.item {
  margin: 10px;
  max-width: 225px;
  padding: 10px;
  text-align: center;
  width: 100%;
}

.item h2 {
  font-family: 'Coustard', serif;
}

/* FLEXBOX CONTAINER STYLES */
.flex-container {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-direction: normal;
  -moz-box-direction: normal;
  -webkit-box-orient: horizontal;
  -moz-box-orient: horizontal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -webkit-justify-content: flex-start;  /* space-between */
  -ms-flex-pack: justify;
  justify-content: flex-start;      /* space-between */
  -webkit-align-content: flex-start;
  -ms-flex-line-pack: start;
  align-content: flex-start;
  -webkit-box-align: start;
  -moz-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  margin-left: auto;
  margin-right: auto;
  width: 90%;
}

.flex-item:nth-child(odd) {
  -webkit-box-ordinal-group: 1;
  -moz-box-ordinal-group: 1;
  -webkit-order: 0;
  -ms-flex-order: 0;
  order: 0;
  -webkit-box-flex: 0;
  -moz-box-flex: 0;
  -webkit-flex: 0 1 auto;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
  -webkit-align-self: auto;
  -ms-flex-item-align: auto;
  align-self: auto;
}

.flex-item:nth-child(even) {
  -webkit-box-ordinal-group: 1;
  -moz-box-ordinal-group: 1;
  -webkit-order: 0;
  -ms-flex-order: 0;
  order: 0;
  -webkit-box-flex: 0;
  -moz-box-flex: 0;
  -webkit-flex: 0 1 auto;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
  -webkit-align-self: auto;
  -ms-flex-item-align: auto;
  align-self: auto;
}

/*
    Legacy Firefox implementation treats all flex containers
    as inline-block elements.
*/

@-moz-document url-prefix() {
.flex-container {
    /*width: 100%;*/
    -moz-box-sizing: border-box;
    }

}

/* Edits to prettyPhoto styles */
.pp_pic_holder.facebook {
  left: 25% !important;
  width: 50% !important;
}

.pp_content {
  height: 470px !important;
  width: 100% !important;
}

img#fullResImage {
  height: 400px !important;
  width: auto !important;
  margin: 0 auto;
}

a.pp_next, a.pp_previous, a.pp_close {
  display: block;
}

div.facebook .pp_expand {
  display: none !important;
}

.pluginCountButton {
  display: none;
}

.pp_social {
  display: none !important;
}

@media (min-width: 1490px) {
  .flex-container {
    margin-left: 0;
  }
}